{-# LANGUAGE DeriveDataTypeable #-}
module Backup.Config
    (
      Config
    , baseDirs
    , destinationPath
    , openConfig
    ) where

import Text.JSON.Generic


data Config = Config { baseDirs :: [FilePath] 
                     , destinationPath :: FilePath
                     } deriving (Show, Data, Typeable)


openConfig :: IO Config
openConfig = do
    jsonStr <- readFile "config.json"
    return (decodeJSON jsonStr :: Config)

